Class GetEventsBuilder

java.lang.Object
com.dropbox.core.v2.teamlog.GetEventsBuilder

public class GetEventsBuilder extends Object
The request builder returned by DbxTeamTeamLogRequests.getEventsBuilder().

Use this class to set optional request parameters and complete the request.

  • Method Details

    • withLimit

      public GetEventsBuilder withLimit(Long limit)
      Set value for optional field.

      If left unset or set to null, defaults to 1000L.

      Parameters:
      limit - The maximal number of results to return per call. Note that some calls may not return GetTeamEventsArg.getLimit() number of events, and may even return no events, even with `has_more` set to true. In this case, callers should fetch again using DbxTeamTeamLogRequests.getEventsContinue(String). Must be greater than or equal to 1 and be less than or equal to 1000. Defaults to 1000L when set to null.
      Returns:
      this builder
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • withAccountId

      public GetEventsBuilder withAccountId(String accountId)
      Set value for optional field.
      Parameters:
      accountId - Filter the events by account ID. Return only events with this account_id as either Actor, Context, or Participants. Must have length of at least 40 and have length of at most 40.
      Returns:
      this builder
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • withTime

      public GetEventsBuilder withTime(TimeRange time)
      Set value for optional field.
      Parameters:
      time - Filter by time range.
      Returns:
      this builder
    • withCategory

      public GetEventsBuilder withCategory(EventCategory category)
      Set value for optional field.
      Parameters:
      category - Filter the returned events to a single category. Note that category shouldn't be provided together with event_type.
      Returns:
      this builder
    • withEventType

      public GetEventsBuilder withEventType(EventTypeArg eventType)
      Set value for optional field.
      Parameters:
      eventType - Filter the returned events to a single event type. Note that event_type shouldn't be provided together with category.
      Returns:
      this builder
    • start

      Issues the request.
      Throws:
      GetTeamEventsErrorException
      DbxException